const express = require('express');  


module.exports= function(app){
	
const downloadNames = app.get('downloadNames');

//This route shows the homepage.
app.get('/', function(req, res){
	res.render('home', {downloadFiles: downloadNames});
	});

//This route takes the checkedFiles the user selected on the homepage, shows the download page on which the actual download is triggered.
app.post('/', function(req, res, next){
	const checkedFiles = Object.keys(req.body);
	let clientCounter = req.app.locals.clientCounter;

	if(typeof checkedFiles !== 'undefined' && checkedFiles.length > 0){
		req.app.locals.clientCounter = clientCounter + 1;
		res.render('download', {checkedFiles: checkedFiles, downloadFiles: downloadNames});
	}
	else {
		res.render('home', {downloadFiles: downloadNames});
	}
});
}
